// pages/components/voucher-select/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    width:{
      type:String
    },
    counts:{
      type:Number
    },
    placeholder:{
      type:String
    },
    time:{
      type:String
    },
    maxDate:{
      type:Number,
      value:new Date().getTime()
    },
    minDate:{
      type:Number
    },
    value:{
      type:String,
      value:''
    },
    currentDate:{
      type:Number,
      value:new Date().getTime()
    }
  },
  /**数据监听 */
  observers: {
    counts: function (val) {
      this.setData({
        item:val[0],
      })
    },
    time:function(val){
      this.setData({
        value:val
      })
    }
  },
  lifetimes: {
    created: function(){
      //在组件实例刚刚被创建时执行，注意此时不能调用 setData
    },
    attached: function () {
        //在组件实例进入页面节点树时执行
    },
    ready: function () {
        // 在组件在视图层布局完成后执行
    },
    detached: function () {
        // 在组件实例被从页面节点树移除时执行
    },
    
  },

  /**
   * 组件的初始数据
   */
  data: {
    show: false,
    date:''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    showPopup() {
      this.setData({ show: true });
    },
    onClose() {
      this.setData({ show: false });
    },
    onChangeDate(e){
        this.setData({
          date:e.detail
        })
    },
    onConfirm(){
      this.setData({
        value:this.data.date
      })
      this.triggerEvent('change',this.data.date)
      this.setData({ show: false });
    }
  }
})
